none
Cannot install .net framework 3.5 sp1 on vista sp1

    Question

  • Hi.

    I'm struggling to install .net framework 3.5 sp1 on my vista enterprise sp1.
    I tried to run the clean up tools but did not have any more success.
    I always get the same error. Here is the error log of the .NET Framework 3.5 sp1 Setup.

    [04/30/08,15:21:02] setup.exe: [2] ISetupManager::AddGlobalCustomProperty() called with an existing custom property (GUID)
    [04/30/08,15:21:02] Microsoft .NET Framework 3.5 'package': [2] Error - file does not exist: d:\setup\..\wcu\dotnetframework\dotnetfx35\x86\netfx35_x86.exe
    [04/30/08,15:21:03] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InternalInstallManager() with HRESULT -2147467259.
    [04/30/08,16:05:49] setup.exe: [2] ISetupManager::AddGlobalCustomProperty() called with an existing custom property (GUID)
    [04/30/08,16:05:50] Microsoft .NET Framework 3.5 'package': [2] Error - file does not exist: d:\setup\..\wcu\dotnetframework\dotnetfx35\x86\netfx35_x86.exe
    [04/30/08,16:05:50] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InternalInstallManager() with HRESULT -2147467259.
    [04/30/08,16:05:51] Microsoft .NET Framework 3.0SP1 (CBS): [2] CBS Component is marked to be uninstalled but CBSPackageName is not authored - CCBSComponent::SetManager()
    [04/30/08,16:05:51] Microsoft .NET Framework 3.0SP1 (CBS): [2] CBS Component can't be uninstalled as CBSPackageName is not authored - CCBSComponent::SetManager()
    [08/15/08,10:45:45] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [08/15/08,10:56:14] Microsoft .NET Framework 2.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 2.0SP1 (CBS). MSI returned error code 1
    [09/04/08,16:40:36] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [09/15/08,16:37:31] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [09/15/08,16:38:08] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.
    [09/15/08,16:43:14] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [09/15/08,16:43:41] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.
    [09/15/08,17:21:12] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [09/15/08,17:26:11] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [09/15/08,17:26:30] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.
    [09/15/08,18:13:11] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [09/15/08,18:13:30] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.
    [09/17/08,15:16:45] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [09/17/08,15:17:25] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.
    [10/13/08,13:41:40] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [10/27/08,12:54:00] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [10/27/08,12:54:21] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.
    [10/27/08,13:05:30] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [10/27/08,13:05:49] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.
    [10/27/08,13:17:05] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [10/27/08,13:17:23] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.
    [10/27/08,13:43:25] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [10/27/08,13:43:50] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.


    Also I noticed that each time I run the  setup, I see an failed install in windows update history.
    Here are the details when I right click and select Copy details.

    Update for Windows (KB948610)

    Installation date: ‎27/‎10/‎2008 1:43 PM

    Installation status: Failed

    Error details: Code 80070246

    Update type: Important

    Fix for KB948610



    Any ideas ????
    Thank you.

    Monday, October 27, 2008 2:49 AM

Answers

All replies

  • I would suggest you download and use the .NET Framework 3.5 SP1 from http://www.microsoft.com/downloads/details.aspx?familyid=ab99342f-5d1a-413d-8319-81da479ab0d7&displaylang=en.

    Try installing again, if it fails, please follow the steps mentioned here: What to do when you go to post a setup and deployment issue on the MSDN forums?
    http://blogs.msdn.com/aaronru/archive/2007/12/10/what-to-do-when-you-go-to-post-a-setup-and-deployment-issue-on-the-msdn-forums.aspx

    Thanks.
    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    Tuesday, October 28, 2008 5:01 AM
  • Thanks Figo,

    I was already downloading from this link.
    I followed all the steps and here are the results.


    1. Version of .NET Framework you are trying to install.
        3.5 SP1
    2. Where did you get it (web page, path, application that redistributed the
        framework)
        http://www.microsoft.com/downloads/details.aspx?familyid=ab99342f-5d1a-413d-8319-81da479ab0d7&displaylang=en
    3. Is this a pre-release, CTP or beta version? Which? (Beta#, CTP (Month Year), RC, etc)
        The official realease
    4.What .NET Framework Patches do you currently have installed?
        None


    My vslogs.cab is downloadable here : http://www.file-upload.net/download-1214792/vslogs.cab.html



    The tool NetFx35_detect_issues.bat displayed the following:

    THE FOLLOWING SCRIPT will check to make sure that .NET Framework 3.5
    is installed properly and will tell you what is not configured appropriately
    WINDOWS VERSION: 6.0.6001
    POTENTIAL ERROR: REGISTRYDUMP: reg query "HKLM\SOFTWARE\Microsoft\NET Framework Setup\NDP\v2.0.50727" /v "SP"

    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v2.0.50727
        SP    REG_DWORD    0x2

    ERROR: NetFx2.0 SP1 is not installed




    The specials commands output are :

    C:\Windows\system32>Winmgmt /verifyrepository
    WMI repository is consistent

    C:\Windows\system32>mofcomp C:\Windows\Microsoft.NET\Framework\v2.0.50727\aspnet.mof
    Microsoft (R) MOF Compiler Version 6.0.6000.16386
    Copyright (c) Microsoft Corp. 1997-2006. All rights reserved.
    Parsing MOF file: C:\Windows\Microsoft.NET\Framework\v2.0.50727\aspnet.mof
    MOF file has been successfully parsed
    Storing data in the repository...
    Done!



    Please help.
    I want to use entity framework.


    Wednesday, October 29, 2008 6:09 AM
  • Can you find d:\setup\..\wcu\dotnetframework\dotnetfx35\x86\netfx35_x86.exe as the log mentioned?
     
    As you've already installed Vista SP1, .NET Framework 2.0/3.0 SP1 should have been included in Vista SP1 (.NET 2.0/3.0 are regarded as Windows component on Vista).
    But the .NET 2.0 SP1 seems not installed well as the verify tool indicated.
    Please use the new verification tool here: http://social.msdn.microsoft.com/Forums/en-US/netfxsetup/thread/f3f4a75b-9b7d-444d-aa4f-6c01d6f62f72#NET_Framework_verification to verify all versions of .NET Framework on your machine, then post the results back here later.

    My suggestion is first try using System Update Readiness Tool for Windows Vista: http://blogs.msdn.com/astebner/archive/2008/07/28/8786504.aspx which can help fix OS update install errors.

    If still has problem, please remove the content in %temp%, and reproduce the failure (run the .NET 3.5 sp1 setup), then collect and upload the vslogs.cab again so that the failure can be seen more clearly.


    Thanks.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    Wednesday, October 29, 2008 7:00 AM
  • Hi Figo.

    No I cannot find d:\setup\..\wcu\dotnetframework\dotnetfx35\x86\netfx35_x86.exe
    d: is my cd drive !

    Framework verifications failed for all frameworks !
    I uploaded the logs here :

    http://www.file-upload.net/download-1216979/setupverifier_main_10-30-08_10.11.07.txt.html

    I noticed that my C:\Windows\Microsoft.NET\Framework\v1.1.4322 only has one file : gacutil.exe.config
    And that C:\Windows\Microsoft.NET\Framework\v1.0.3705 has only 2 files :
    -mscormmc.dll
    -regsvcs.exe.config

    I ran the System Update Readiness Tool for Windows Vista successfully (quite long to run by the way) but that did not fix the problem.

    I cleared my %temp%, re ran the setup and reuploaded the vslogs.cab here:
    http://www.file-upload.net/download-1217099/vslogs.cab.html

    Thanks for helping
    Thursday, October 30, 2008 1:16 AM
  • I installed .Net framework 1.1 and now the framework install verification is successful for all frameworks EXCEPT:

    1.0 : I can't find a download for vista
    3.0 Service Pack 2 : I can't find a download
    3.5 Service Pack 1 : this is the one I am trying to install.

    The 3.5 SP1 installation still fails.
    Thursday, October 30, 2008 1:36 AM
  • Let's talk about .NET Framework 3.5 sp1 first.
    It actually includes .NET 2.0 sp2, .NET 3.0 sp2, .NET 3.5 sp1.

    So if you install .NET 3.5 sp1 successfully, there will be a entry of .NET Framework 3.5 sp1 displays in Control Panel > Programs and Features and under Control Panel > Programs and Features > Installed Updates: Microsoft Windows, you will see "Update for Microsoft Windows(KB948609)"(regarded as .NET 2.0 sp2), "Update for Microsoft Windows(KB948610)"(regarded as .NET 3.0 sp2).
    FYI: Update for Microsoft Windows(KB110806) is .NET 2.0 sp1 update; Update for Microsoft Windows(KB929300) is .NET 3.0 sp1 update. 

    I will try analysing your log files for a period of time.
    Meanwhile, please try doing the following to eliminate the potential cause of .NET Framework corruption:
    Use .NET Framework cleanup tool: http://social.msdn.microsoft.com/Forums/en-US/netfxsetup/thread/f3f4a75b-9b7d-444d-aa4f-6c01d6f62f72#How_to_remove_NET_framework
    How to repair the .NET Framework 2.0 and 3.0 on Windows Vista
    http://blogs.msdn.com/astebner/archive/2007/03/26/how-to-repair-the-net-framework-2-0-and-3-0-on-windows-vista.aspx
    .NET Framework 2.0 SP1 and 3.0 SP1 repair options on Windows Vista and Windows Server 2008
    http://blogs.msdn.com/astebner/archive/2008/07/03/8685850.aspx

    Then try to install .NET Framework 3.5 sp1 download from http://www.microsoft.com/downloads/details.aspx?FamilyId=AB99342F-5D1A-413D-8319-81DA479AB0D7&displaylang=en instead of installing from your CD.

    Thanks.
    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    • Edited by Figo Fei Thursday, October 30, 2008 6:58 AM typo
    Thursday, October 30, 2008 4:18 AM
  • I checked the logs, and it looks like installation content issue, please make sure that you install from http://www.microsoft.com/downloads/details.aspx?FamilyId=AB99342F-5D1A-413D-8319-81DA479AB0D7&displaylang=en (either bootstrapper or full package setup) instead of CD, which can eliminate installation media problem.
    If it fails, please also try the steps mentioned in my previous post.

    Thanks.
    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    • Edited by Figo Fei Thursday, October 30, 2008 5:33 AM typo
    Thursday, October 30, 2008 5:22 AM
  • Figo you misread !

    I do install from the link http://www.microsoft.com/downloads/details.aspx?FamilyId=AB99342F-5D1A-413D-8319-81DA479AB0D7&displaylang=en , NOT FROM A CD.
    But for some reason the install is looking for a file on the d: driver, which is my cd drive !



    I tried to uninstall and repair but I still get the same results.
    I could not unistall the  Update for Microsoft Windows(KB939300) is .NET 3.0 sp1 update though, it says the uninstall could not be completed.
    Thursday, October 30, 2008 5:35 AM
  • Just a reminder, the uninstall order should be: .NET 3.5 sp1 > .NET 3.0 sp2 > .NET 2.0 sp2 > repair .NET 2.0/3.0 on Vista: http://blogs.msdn.com/astebner/archive/2007/03/26/how-to-repair-the-net-framework-2-0-and-3-0-on-windows-vista.aspx > reinstall .NET 3.5 sp1

    Can you please tell me what versions of .NET Framework have been installed successfully on your Vista? (use the verify tool I mentioned)

    Thanks. 
    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    Thursday, October 30, 2008 5:41 AM
  • I have the same results as before.
    The framework install verification is successful for all frameworks EXCEPT:

    1.0 : I can't find a download for vista
    3.0 Service Pack 2 : I can't find a download
    3.5 Service Pack 1 : this is the one I am trying to install.
    Thursday, October 30, 2008 5:44 AM
  • Thanks.

    There is no stand-alone .NET 3.0 sp2 download for installer, we just install .NET Framework 3.5 sp1 which will also install .NET 2.0 sp2 and .NET 3.0 sp2 as its prerequisites.

    As now .NET 2.0 sp2 has install on your mechine right?
    Please try to remove .NET 2.0 sp2 (Update for Microsoft Windows(KB948609)) >>repair .NET 2.0 sp1 /3.0 sp1 on your Vista(http://blogs.msdn.com/astebner/archive/2008/07/03/8685850.aspx) >> reboot >> reinstall the .NET Framework 3.5 sp1.

    After doing the steps above, if it still fails, we need vslogs.cab file again to investigate further.

    Thanks!


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    • Edited by Figo Fei Thursday, October 30, 2008 6:13 AM mistake
    Thursday, October 30, 2008 5:57 AM
  • .NET Framework 1.0 is shipped before Vista, so there is no Vista mentioned at the supported system list.

    In most cases, we don't need .NET 1.0 installed on Vista since it is already shipped with .NET 2.0/3.0 as its Windows Components.
    But if you really want it, use the .NET 1.0 sp3 at http://www.microsoft.com/downloads/details.aspx?familyid=6978D761-4A92-4106-A9BC-83E78D4ABC5B&displaylang=en and be aware of the known install issue mentioned here: http://blogs.msdn.com/astebner/archive/2007/02/04/error-installing-net-framework-1-0-and-1-1-on-windows-vista-caused-by-data-execution-prevention-dep.aspx.

    Thanks.
    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    • Edited by Figo Fei Thursday, October 30, 2008 6:21 AM typo
    Thursday, October 30, 2008 6:20 AM
  • 3.0sp1 won't uninstall so i'm still stuck.
    It's KB929300 by the way, not KB939300.
    Thursday, October 30, 2008 6:40 AM
  • Oh, sorry. It should be my typo mistake, .NET Framework 3.0 sp1 is KB929300.

    What was the symptom of the failure of uninstall KB929300?
    Can you find .NET 3.0 sp2 entry KB948610 in the installed updates? uninstall it in the control panel. If you can not see the entry also remember to use .NET Framework cleanup tool I mentioned before.

    Thanks.
    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    • Edited by Figo Fei Thursday, October 30, 2008 7:05 AM typo
    Thursday, October 30, 2008 7:04 AM
  • I tried the clean up tool before, without success.
    The symptom is just this window:
    http://www.file-upload.net/view-1217329/error.jpg.html
    Thursday, October 30, 2008 7:15 AM
  • Any other ideas ?
    Do you think that the install error is related to the fact that I cannot unistall .net framework 3.0 sp1 ?
    Sunday, November 02, 2008 11:28 PM
  • If we use Cleanup tool introduced here http://go.microsoft.com/fwlink/?LinkID=121918 and it doesn't work, we can see the following log files created by the cleanup tool for some clues:
    • %temp%\cleanup_main.log - a log of all activity during each run of the cleanup tool; this is a superset of the logs listed below as well as some additional information
    • %temp%\cleanup_actions.log - a log of actions taken during removal of each product; it will list files that it finds and removes, product codes it tries to remove, registry entries it tries to remove, etc.
    • %temp%\cleanup_errors.log - a log of errors and warnings encountered druing each run of the cleanup tool

    Thanks.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    • Edited by Figo Fei Monday, November 03, 2008 3:51 AM typo
    Monday, November 03, 2008 3:43 AM
  • The cleanup tool did fail.
    I've uploaded the 3 log files are here : http://www.file-upload.net/download-1227381/cleanup_logs.zip.html

    Monday, November 03, 2008 4:35 AM
  • I managed to run succesfully the cleanup tool by right clicking "Run as administrator".
    However the .Net framework 3.0 SP1 (KB929300) is still in my windows update and still won't uninstall.
    • Marked as answer by joe_91111111 Monday, November 03, 2008 5:07 AM
    • Unmarked as answer by joe_91111111 Monday, November 03, 2008 5:07 AM
    Monday, November 03, 2008 4:50 AM
  • I've also tried to re run the .net framework 3.5 sp1 setup as an administrator but it didn't work:

    Error log:

    [11/03/08,16:06:20] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code 582
    [11/03/08,16:06:44] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.



    Any idea ? How can I manually uninstall 3.0 SP1 ?
    Monday, November 03, 2008 5:08 AM
  • I've also try to run the .Net Framework 3.5SP1 as administrator but still got an error.
    The log says the .net Framework 3.0SP1 could not be installed.
    Any other ideas ? Can remove the framework 3.0 SP1 manually ?
    Monday, November 03, 2008 5:24 AM
  • Tried to install .net Framework 3.0 SP1 to fix the problem but it says Vista is not supported.
    Monday, November 03, 2008 5:34 AM
  • What do I do ? I paid for a MS exam  on entity framework and can't even practice.
    Pfff that's rubbish.
    Monday, November 03, 2008 11:06 PM
  • And VS macros won't run anymore. Great.
    Monday, November 03, 2008 11:18 PM
  • Well forget about it guys.
    I found it. It is very easy, all you have to do reinstall windows (and of course all your programs and configuration).
    It worked magically ! Isn't it amazing ?


    Tuesday, November 04, 2008 7:01 AM
  • I would just like to say that I am going through the same thing. I installed the trial version of VS after trying to resolve the install problem with VS express. My trial version has now expired and I have again been trying to resolve the problem.

    My problem is that I cannot install 3.5sp1 because it says it cannot find .net 2.0 on vista. But I cannot install . net 2.0. I have tried the tools for cleaning up the .Net install but it seems that there is some problem. This is on my main development machine and I am unwilling to trash my machine. I have noticed a number of developers have had the same problem looking aroung the web and those who have not been able to resolve the problem have resorted to reinstalling Vista and then the problem goes.

    That is not a solution as far as I'm concerned since I don't want to be writing applications and then telling a client that they may have to reinstall Vista to get it to work. I will back my machine up and reinstall Vista eventually just to see if that fix the problem,but if thats the case I may look elsewhere for my development tools. Shame though, because outside the problem with installing 3.5 SP1 with the express edition all was well.

    I'm not to happy though because I have just spent the last few months evaluating additional tools

    Strataframe

    Entityspaces

    Ideablade tools

    Easyobjects

    with VS2008 and was just about to hit my credit card when I thought I had better check if the problems I was getting had been resolved. So its back to the drawing board again.

    Friday, January 23, 2009 3:27 PM
  • Hi Jules

    Vista is shipped with .NET Framework 3.0/2.0 as Windows Components, we cannot remove but to disable it.

    Make sure the Windows feature .NET Framework 3.0 is enabled before installing a latter version of .NET Framework.(in Control Panel > Programs and Features > Turn Windows features on or off)

    If you still have problem, I suggest you to create a new thread with more information.

    Thanks.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    Tuesday, January 27, 2009 3:00 AM
  • PLEASE SOMEONE, I cannot download anything from Mircrosoft for some reason It shows "cannot find page" Even if I go to "contact us" to state this problem, I cant it will show "page not found" I need to download .net framework 3.5 but I am unable to, I would click download and says it cannot find page. Is there a way to have it automatically installed onto my computar somehow?
    Sunday, December 13, 2009 11:44 AM